# Control de LED Beagle Bone Black

## Este programa permite encender o apagar el LED 3 de la Beagle Bone Black con un script en SH.

![](leds.png)

Se comienza por declarar el path a seguir para
manipular el LED 3.
```sh 
#!/bin/bash
LED3_PATH=/sys/class/leds/beaglebone:green:usr3
```


Se utiliza una función para remover el trigger.
```sh
function removeTrigger
{
         echo "none" >> "$LED3_PATH/trigger"
}
```
Se utilizan las siguientes condicionantes para saber si e desea apagar, prender o parpadear el LED:
```SH
echo "The LED3 user is starting"
 if [ "$1" == "on" ]; then
         removeTrigger
         echo "1" >> "$LED3_PATH/brightness"
 elif [ "$1" == "off" ]; then
         removeTrigger
         echo "0" >> "$LED3_PATH/brightness"
 elif [ "$1" == "blink" ]; then
    removeTrigger
    echo "1" >> "$LED3_PATH/brightness"
    sleep 0.5
    echo "0" >> "$LED3_PATH/brightness"
    sleep 0.5
 fi
 echo "Done"               
```

Después de esto se guarda el archivo y se le dan permisos de ejecución con el comando:

```sh
sudo chmod u+x Nombre_del_archivo.SH
```
Finalmente para ejecutar el archivo en la Beagle Bone se utiliza el siguiente comando, en este ejemplo se le da el argumento para que el LED prenda y apague:

```sh
 ./Nombre_del_archivo.sh blink
```